Pular para o conteúdo
ecdsa.com

Chave OpenPGP v6

O formato de chave introduzido pela RFC 9580, com impressões digitais SHA-256 de 32 bytes, algoritmos Ed25519/X25519/Ed448/X448 nativos e assinaturas v6 com salt, que substitui as chaves v4 da RFC 4880, baseadas em SHA-1.
Também escrito comov6 keyRFC 9580 keyv6 fingerprintOpenPGP crypto refresh

A impressão digital v6 é o SHA-256 do pacote da chave com um prefixo v6 (64 dígitos hexadecimais), e o ID da chave são os primeiros 64 bits; a impressão digital v4 é SHA-1 (40 dígitos hexadecimais), com o ID da chave tirado dos últimos 64 bits (RFC 9580 §5.5.4). As assinaturas v6 incluem um salt aleatório que entra no hash antes dos dados, o que torna impraticáveis os ataques de colisão com prefixo escolhido contra o hash assinado. Os IDs de algoritmo de chave pública 25–28 são X25519, X448, Ed25519 e Ed448; a RFC 9980 acrescenta os IDs 30–36 para algoritmos pós-quânticos, a maioria dos quais exige chaves v6.

Entre as implementações compatíveis com v6 estão o Sequoia PGP e o OpenPGP.js; o GnuPG, por sua vez, gera chaves v5 do LibrePGP nos seus formatos mais novos, e servidores de chaves e ferramentas mais antigas podem rejeitar chaves de uma versão que não conhecem. Publicar uma chave v6 junto com uma chave v4 é o caminho prudente enquanto o ecossistema não se atualiza.

Padrões e referências

Todos os termos